aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2022-01-11 15:59:09 +0100
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>2022-01-11 15:59:09 +0100
commit5b9d6f8c44a4267842a2a7d2ec26d34c8a739948 (patch)
tree055cc1f901c27983b8d6b4de0a1ca6aaf7c88435 /jjb/common
parenta8e1e687172ea72c326cf177845c23159c8780f2 (diff)
Update files for marlin
Signed-off-by: Jan-Simon Moeller <jsmoeller@linuxfoundation.org> Change-Id: I0d08fc3ec5f6292b3e4172705be39cf43ccbb305
Diffstat (limited to 'jjb/common')
-rw-r--r--jjb/common/include-agl-run-test-short-marlin.sh45
-rw-r--r--jjb/common/include-agl-set-iceg-lxc-image.sh26
-rw-r--r--jjb/common/include-agl-set-ivieg-flutter-image.sh26
3 files changed, 97 insertions, 0 deletions
diff --git a/jjb/common/include-agl-run-test-short-marlin.sh b/jjb/common/include-agl-run-test-short-marlin.sh
new file mode 100644
index 00000000..91f0a57f
--- /dev/null
+++ b/jjb/common/include-agl-run-test-short-marlin.sh
@@ -0,0 +1,45 @@
+# (c) 2016 Jan-Simon Moeller dl9pf(at)gmx.de
+# License GPLv2
+
+################################################################################
+## Run SHORT CI test
+################################################################################
+
+#set -x
+
+UPLOAD_URL_BASE=http://download.automotivelinux.org/AGL/upload/ci
+UPLOAD_URL=${UPLOAD_URL_BASE}/${RELEASE_BRANCH}/${RELEASE_VERSION}/${MACHINE}/deploy/images/${TARGETMACHINE}
+
+cd $REPODIR
+
+wget -q ${UPLOAD_URL}/build-info || echo "ERROR: fail to download ${UPLOAD_URL}/build-info"
+if [ -e build-info ]; then
+ cat build-info
+ source build-info
+fi
+
+echo "# LAVA lab target: ${LAVA_LAB} #"
+# releng-scripts depends on jinja2 >= 2.9
+echo "## Check version of python-jinja2: "
+pip show jinja2
+CREATE_ARGS=""
+CREATE_ARGS+="--machine ${releng_device} "
+CREATE_ARGS+="--build-type release "
+#[[ ! -z $RELEASE_BRANCH ]] && CREATE_ARGS+="--branch $RELEASE_BRANCH "
+#[[ ! -z $RELEASE_VERSION ]] && CREATE_ARGS+="--version $RELEASE_VERSION "
+CREATE_ARGS+="--url https://download.automotivelinux.org/AGL/upload/ci/${RELEASE_BRANCH}/${RELEASE_VERSION}/${MACHINE}/deploy/images/${TARGETMACHINE}/ "
+CREATE_ARGS+="--name AGL-gerrit-$DIST_BB_AGL_BRANCH-$DIST_BB_AGLVERSION "
+[[ ! -z $DIST_BB_DISTRO_VERSION ]] && CREATE_ARGS+="--build-version $DIST_BB_DISTRO_VERSION "
+[[ ! -z $DIST_BUILD_HASH ]] && CREATE_ARGS+="--commit $DIST_BUILD_HASH "
+[[ ! -z $DIST_BUILD_ID ]] && CREATE_ARGS+="--build-id $DIST_BUILD_ID "
+[[ ! -z $DIST_BB_AGL_BRANCH ]] && CREATE_ARGS+="--branch $DIST_BB_AGL_BRANCH "
+[[ ! -z $DIST_BB_AGLVERSION ]] && CREATE_ARGS+="--version $DIST_BB_AGLVERSION "
+CREATE_ARGS+="--callback-from ${LAVA_LAB} "
+$RELENG/utils/create-jobs.py ${CREATE_ARGS} > testjob.yaml
+
+if [ $? != 0 ]; then
+ echo "ERROR: Machine ${releng_device}: LAVA job creation failed."
+ exit 0
+else
+ cat testjob.yaml
+fi
diff --git a/jjb/common/include-agl-set-iceg-lxc-image.sh b/jjb/common/include-agl-set-iceg-lxc-image.sh
new file mode 100644
index 00000000..d18f0b34
--- /dev/null
+++ b/jjb/common/include-agl-set-iceg-lxc-image.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+# (c) 2016 Jan-Simon Moeller dl9pf(at)gmx.de
+# License GPLv2
+#
+# debugging purposes
+set -e
+
+################################################################################
+## Header
+################################################################################
+
+# only run on master, jellyfish and icefish
+( echo "master jellyfish icefish koi lamprey" | grep -q $TARGETBRANCH ) || exit 0
+
+export TARGETFEATURES="agl-iceg agl-devel"
+export TARGETQA=""
+export TARGETIMAGE="lxc-host-image-demo"
+
+eval TARGETIMAGE="$TARGETIMAGE"
+eval TARGETIMAGEnogfx="$TARGETIMAGE"
+
+#if $DEBUG; then
+set | grep ^TARGET || true
+set | grep ^GERRIT || true
+set | grep ^MACHINE || true
+#fi
diff --git a/jjb/common/include-agl-set-ivieg-flutter-image.sh b/jjb/common/include-agl-set-ivieg-flutter-image.sh
new file mode 100644
index 00000000..78211500
--- /dev/null
+++ b/jjb/common/include-agl-set-ivieg-flutter-image.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+# (c) 2016 Jan-Simon Moeller dl9pf(at)gmx.de
+# License GPLv2
+#
+# debugging purposes
+set -e
+
+################################################################################
+## Header
+################################################################################
+
+# only run on master, jellyfish and icefish
+( echo "master" | grep -q $TARGETBRANCH ) || exit 0
+
+export TARGETFEATURES="agl-flutter agl-devel"
+export TARGETQA=""
+export TARGETIMAGE="agl-image-flutter-debug"
+
+eval TARGETIMAGE="$TARGETIMAGE"
+eval TARGETIMAGEnogfx="$TARGETIMAGE"
+
+#if $DEBUG; then
+set | grep ^TARGET || true
+set | grep ^GERRIT || true
+set | grep ^MACHINE || true
+#fi